Linking Libs multilibs in wxWidgets 3.0 Topic is solved

Do you have a question about makefiles, a compiler or IDE you are using and need to know how to set it up for wxWidgets or why it doesn't compile but other IDE's do ? Post your questions here.
Post Reply
User avatar
evstevemd
Part Of The Furniture
Part Of The Furniture
Posts: 2292
Joined: Wed Jan 28, 2009 11:57 am
Location: United Republic of Tanzania
Contact:

Linking Libs multilibs in wxWidgets 3.0

Post by evstevemd » Mon Jan 06, 2014 8:14 am

I have been all the days using monolithic and I wan to use multilib now. I have compiled wxWidgets fine on Linux and each time I compile I get linking error that have to do with wxWebview. I do not know what to add to wxconfig to get rid of errors and so I need help

Code: Select all

Command
$(shell $(WX_TOOL) --debug=yes --libs std,aui, stc, webview, html --unicode=yes);-

Error
g++ -o ../Output/projectexe @"Application.txt" -L. -L../Output  -lhapi -lpelet  -L/home/stefano/svn/wxwidgets/lib -pthread   -Wl,-rpath,/home/stefano/svn/wxwidgets/lib -lwx_gtk2u_aui-3.1 -lwx_gtk2u_stc-3.1 -lwx_gtk2u_xrc-3.1 -lwx_gtk2u_webview-3.1 -lwx_gtk2u_html-3.1 -lwx_gtk2u_qa-3.1 -lwx_gtk2u_adv-3.1 -lwx_gtk2u_core-3.1 -lwx_baseu_xml-3.1 -lwx_baseu_net-3.1 -lwx_baseu-3.1  -ldl -rdynamic -Wl,-rpath, /home/stefano/Hosanna/Hosanna_IDE/Output
/home/stefano/svn/wxwidgets/lib/libwx_gtk2u_html-3.1.so: undefined reference to `wxWebViewBackendDefault'
/home/stefano/svn/wxwidgets/lib/libwx_gtk2u_html-3.1.so: undefined reference to `wxWebViewDefaultURLStr'
/home/stefano/svn/wxwidgets/lib/libwx_gtk2u_html-3.1.so: undefined reference to `wxWebView::New(wxWindow*, int, wxString const&, wxPoint const&, wxSize const&, wxString const&, long, wxString const&)'
/home/stefano/svn/wxwidgets/lib/libwx_gtk2u_html-3.1.so: undefined reference to `wxWebViewNameStr'
/home/stefano/svn/wxwidgets/lib/libwx_gtk2u_html-3.1.so: undefined reference to `wxWebViewArchiveHandler::wxWebViewArchiveHandler(wxString const&)'
/home/stefano/svn/wxwidgets/lib/libwx_gtk2u_html-3.1.so: undefined reference to `typeinfo for wxWebView'
Chief Justice: We have trouble dear citizens!
Citizens: What it is his honor?
Chief Justice:Our president is an atheist, who will he swear to?
[Ubuntu 19.04/Windows 10 Pro/MacOS 10.13 - GCC/MinGW/Clang, CodeLite IDE]

User avatar
xaviou
Super wx Problem Solver
Super wx Problem Solver
Posts: 430
Joined: Mon Aug 21, 2006 3:18 pm
Location: Annecy - France
Contact:

Re: Linking Libs multilibs in wxWidgets 3.0

Post by xaviou » Mon Jan 06, 2014 9:50 am

Hi

It seems that you want to link to the debug version of the libs (regarding the command line you're using), but the release libs are used (regarding the resulting linking command line).

Regards
Xav'
My wxWidgets stuff web page : [email protected]'s wxStuff

User avatar
evstevemd
Part Of The Furniture
Part Of The Furniture
Posts: 2292
Joined: Wed Jan 28, 2009 11:57 am
Location: United Republic of Tanzania
Contact:

Re: Linking Libs multilibs in wxWidgets 3.0

Post by evstevemd » Mon Jan 06, 2014 10:29 am

but I have not build any release version!
am recompiling again using ./configure --disable-mediactrl --enable-stc --enable-webview --enable-debug

Also why is all other components (aui for example) not complaining about it?
Chief Justice: We have trouble dear citizens!
Citizens: What it is his honor?
Chief Justice:Our president is an atheist, who will he swear to?
[Ubuntu 19.04/Windows 10 Pro/MacOS 10.13 - GCC/MinGW/Clang, CodeLite IDE]

stahta01
Super wx Problem Solver
Super wx Problem Solver
Posts: 365
Joined: Fri Nov 03, 2006 2:00 pm

Re: Linking Libs multilibs in wxWidgets 3.0

Post by stahta01 » Sat Jan 11, 2014 2:35 am

If you are really trying to use wxWidgets 3.0 add the version you want; its doing 3.1 from the code you posted.

So, add the version you want with "--version=3.0" you might wish to try a "--list" to see what versions are listed.

Code: Select all

wx-config --version=3.0
Tim S.

User avatar
evstevemd
Part Of The Furniture
Part Of The Furniture
Posts: 2292
Joined: Wed Jan 28, 2009 11:57 am
Location: United Republic of Tanzania
Contact:

Re: Linking Libs multilibs in wxWidgets 3.0

Post by evstevemd » Mon Jan 13, 2014 8:39 am

Hi Tim,
stahta01 wrote:If you are really trying to use wxWidgets 3.0 add the version you want; its doing 3.1 from the code you posted.

So, add the version you want with "--version=3.0" you might wish to try a "--list" to see what versions are listed.

Code: Select all

wx-config --version=3.0
Tim S.
I forgot to point out that I use SVN version (wx3 series) so its natural that its labeled that way.
Sorry for misleading.
The Monolithic build works fine!
Chief Justice: We have trouble dear citizens!
Citizens: What it is his honor?
Chief Justice:Our president is an atheist, who will he swear to?
[Ubuntu 19.04/Windows 10 Pro/MacOS 10.13 - GCC/MinGW/Clang, CodeLite IDE]

eranif
Moderator
Moderator
Posts: 607
Joined: Tue Nov 29, 2005 7:10 pm
Location: Israel

Re: Linking Libs multilibs in wxWidgets 3.0

Post by eranif » Mon Jan 13, 2014 12:25 pm

Did you try changing the order of linking?

Try placing html before webview (as the link error comes from the html.so and not from your application):

Code: Select all

$(shell $(WX_TOOL) --debug=yes --libs std,aui, stc, html,webview --unicode=yes);
Eran
IDE: CodeLite + wxCrafter
OS: All
https://wxcrafter.codelite.org
https://codelite.org

User avatar
evstevemd
Part Of The Furniture
Part Of The Furniture
Posts: 2292
Joined: Wed Jan 28, 2009 11:57 am
Location: United Republic of Tanzania
Contact:

Re: Linking Libs multilibs in wxWidgets 3.0

Post by evstevemd » Sun Mar 09, 2014 8:39 pm

this error is still a big pain for me. Ayone with idea what is happening?
Am force to use Monolithic even if I don't want to :oops:
Chief Justice: We have trouble dear citizens!
Citizens: What it is his honor?
Chief Justice:Our president is an atheist, who will he swear to?
[Ubuntu 19.04/Windows 10 Pro/MacOS 10.13 - GCC/MinGW/Clang, CodeLite IDE]

Post Reply